Subject: Re: How can I test ndo_tx_timeout()?

From: Florian Fainelli <[email-masked]>
Date: Thu, 26 May 2016 14:34:00 -0700

On 05/26/2016 01:40 PM, Timur Tabi wrote:
> Is there an easy way to test my driver's response to a
> ndo_tx_timeout() call?  That is, force dev_watchdog() to think that a
> timeout has occurred?
> 

One way to do this could be to never reclaim the SKBs you just
transmitted which could be achieved by disabling the TX completion
interrupt permanently for instance. Alternatively you might stop your tx
queue, avoid checking for this condition (netif_tx_queue_stopped..) and
still try to push SKBs and transmit them, combining the two should be
fairly effective.

There could be better ways to test that, though these would at least try
to reproduce real world scenarios where transmit flow control is broken.
-- 
Florian